commit f24a7ca7be01d5f2c57e1363933b942172af6f1a
Author: freddy77 <freddy77>
Date:   Thu Aug 20 17:51:46 2009 +0000

    small fix for ms xml type

diff --git a/ChangeLog b/ChangeLog
index 09d23d9..ed5b821 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Aug 20 19:51:40 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds.h: small fix for ms xml type
+
 Thu Aug 20 19:51:03 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/config.c src/tds/login.c src/tds/query.c src/tds/token.c:
 	- enable tds 7.2 support for odbc
@@ -1758,4 +1761,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2850 2009/08/20 17:51:15 freddy77 Exp $
+$Id: ChangeLog,v 1.2851 2009/08/20 17:51:46 freddy77 Exp $
diff --git a/include/tds.h b/include/tds.h
index 974f0d4..9c7b094 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -20,7 +20,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.317 2009/08/20 17:49:07 freddy77 Exp $ */
+/* $Id: tds.h,v 1.318 2009/08/20 17:51:46 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -758,7 +758,7 @@ typedef enum tds_encryption_level {
 /* large type means it has a two byte size field */
 /* define is_large_type(x) (x>128) */
 #define is_numeric_type(x) (x==SYBNUMERIC || x==SYBDECIMAL)
-#define is_unicode_type(x) (x==XSYBNVARCHAR || x==XSYBNCHAR || x==SYBNTEXT)
+#define is_unicode_type(x) (x==XSYBNVARCHAR || x==XSYBNCHAR || x==SYBNTEXT || x==SYBMSXML)
 #define is_collate_type(x) (x==XSYBVARCHAR || x==XSYBCHAR || x==SYBTEXT || x==XSYBNVARCHAR || x==XSYBNCHAR || x==SYBNTEXT)
 #define is_ascii_type(x) ( x==XSYBCHAR || x==XSYBVARCHAR || x==SYBTEXT || x==SYBCHAR || x==SYBVARCHAR)
 #define is_char_type(x) (is_unicode_type(x) || is_ascii_type(x))

